<% if type.eql?('main') %>
    <% logger.info "===1===" %>
    <li class="sub_list sub_list_<%= checklist.id %>">
        <div class="cell">
            <div class="row cat_row_<%= checklist.id %>">
                <div class="col-xs-10">
                    <!-- <label class="ccheckbox"><%#= check.title %>
                    <input type="checkbox">
                    <span class="checkmark"></span>
                </label> -->
                <label class="ccheckbox <%= is_marked == true ? 'selected' : '' %>"><%= checklist.subcategory_name %>
                    <input type="checkbox" name="checklist" class="<%= is_marked == true ? 'active' : '' %>" data-id="<%= checklist.id %>"  data-check-type="main">
                    <span class="checkmark checklist_checkmark"></span>
                </label>
                </div>
                <div class="col-xs-2">
                    <!-- <a href="<%#= delete_checklist_checklists_path(subcategory_id: checklist.id, type: 'main') %>" class="delete-icon pull-right" data-method="post"><%#= image_tag 'delete-icon.png', class: 'img-responsive' %></a> -->
                    <a href="javascript:void(0)" class="delete-icon pull-right" data-id="<%= checklist.id %>" data-check-type="main" data-method="post"><%= image_tag 'delete-icon.png', class: 'img-responsive' %></a>
                    <a href='javascript:void(0)' class="edit-icon pull-right edit_task"  data-check-type="main" data-id="<%= checklist.id %>" data-value="<%= checklist.subcategory_name %>"><%= image_tag 'upload_icon.png', class: 'img-responsive' %></a>
                    <a href="javascript:void(0)" class="add-icon add_sub_task pull-right" data-id="<%= checklist.id %>" data-check-type="subcategory"><%= image_tag 'add-icon.png', class: 'img-responsive' %></a>
                </div>
            </div>
        </div>
    </li>
<% else %>
    <li>
        <div class="cell">
            <div class="row cat_row_<%= checklist.id %>">
                <div class="col-xs-10">
                    <% logger.info "===2===#{checklist.inspect}" %>
                    <!-- <label class="ccheckbox"><%#= check.title %>
                    <input type="checkbox">
                    <span class="checkmark"></span>
                </label> -->
                <label class="ccheckbox <%= is_marked == true ? 'selected' : '' %>"><%= checklist.title %>
                    <input type="checkbox" name="checklist" class="<%= is_marked == true ? 'active' : '' %>" data-id="<%= checklist.id %>"  data-check-type="sub">
                    <span class="checkmark checklist_checkmark"></span>
                </label>
                </div>
                <div class="col-xs-2">
                    <a href="javascript:void(0)" class="delete-icon pull-right" data-id="<%= checklist.id %>" data-check-type="sub" data-method="post"><%= image_tag 'delete-icon.png', class: 'img-responsive' %></a>
                    <a href='javascript:void(0)' class="edit-icon pull-right edit_task"  data-check-type="sub" data-id="<%= checklist.id %>" data-value="<%= checklist.title %>"><%= image_tag 'upload_icon.png', class: 'img-responsive' %></a>
                </div>
            </div>
        </div>
    </li>
<% end %>
